#!/bin/bash

domain=${domain:-"demo.net"}
net=${net:-"10.2.3"}

realm=${domain^^}
echo $realm

for a in $(echo $domain | tr '.' ' ') ; do
  if [ ! -n "$dc" ] ; then dc="dc=$a"
  else dc="${dc},dc=$a" ; fi
done

DEBIAN_FRONTEND=none apt install krb5-kdc krb5-admin-server
if [ ! -f /var/lib/krb5kdc/principal ] ; then
    krb5_newrealm

   cat << EOF | kadmin.local
addprinc ubuntu/admin
password
password
EOF
fi


